//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.remote.ram_rab_mngt.ram_rab_mngt1;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.access.*;
import sim.toolkit.*;
import javacard.framework.*;


public class ram_rab_mngt1_1 extends javacard.framework.Applet implements 
	ToolkitInterface, ToolkitConstants {

    private ToolkitRegistry obReg;
    private byte[] menuEntry1={(byte)'M',(byte)'e',(byte)'n',(byte)'u',(byte)' ',(byte)'1'};
    private byte[] displayText={(byte)'T',(byte)'e',(byte)'x',(byte)'T'};

    public ram_rab_mngt1_1() {
        // Register to the SIM Toolkit Framework
        obReg = ToolkitRegistry.getEntry();

        //register to EVENT_MENU_SELECTION
        obReg.initMenuEntry(menuEntry1,(short)0,(short)menuEntry1.length,(byte)0,false,(byte)0,(short)0);
        //register to EVENT_FORMATTED_SMS_PP_ENV
        obReg.setEvent(EVENT_FORMATTED_SMS_PP_ENV);
    }

    public static void install(byte[] bArray, short bOffset, byte bLength) {
        ram_rab_mngt1_1 testApp = new ram_rab_mngt1_1();

        // Register the applet with the JCRE.
        testApp.register(bArray, (short)(bOffset+1), bArray[bOffset]);
    }

    /**
    * Process javacard.framework applet
    */
    public void process (javacard.framework.APDU apdu) {
    }

    /**
     * This method will be used to trigger the tests.
     * The application will be triggered by an Formatted SMS PP download event.
     * @param event 
     */
    public void processToolkit (byte event) throws ToolkitException {
    	if (event ==  EVENT_FORMATTED_SMS_PP_ENV)
    	{
            // Get the system instance of the ProactiveHandler class
            try {
                ProactiveHandler proHdlr = ProactiveHandler.getTheHandler() ;
                proHdlr.initDisplayText((byte)0x00, DCS_8_BIT_DATA, displayText, (short)0, (short)displayText.length);
                proHdlr.send();
            }
            catch (Exception e) {
            }
        }
    }
}


